From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-libs/tepl/
Date: Sun, 16 Aug 2020 21:02:17 +0000 (UTC) [thread overview]
Message-ID: <1597611683.97c9527f83bb04ef0b785c26687e13b0630e8af6.leio@gentoo> (raw)
commit: 97c9527f83bb04ef0b785c26687e13b0630e8af6
Author: Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 16 20:38:54 2020 +0000
Commit: Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun Aug 16 21:01:23 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97c9527f
gui-libs/tepl: bump to 4.4.0
Package-Manager: Portage-2.3.103, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>
gui-libs/tepl/Manifest | 1 +
gui-libs/tepl/tepl-4.4.0.ebuild | 54 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/gui-libs/tepl/Manifest b/gui-libs/tepl/Manifest
index de22d78aa97..0c618661299 100644
--- a/gui-libs/tepl/Manifest
+++ b/gui-libs/tepl/Manifest
@@ -1 +1,2 @@
DIST tepl-4.2.1.tar.xz 464120 BLAKE2B 74146cdf837923ab1a8e843e189bd83b2c7d7ae9cbf03ce4f3dbbbbfee1f47dffcda537ad8133cdf1b4efd747f0ee60092ddab029a67282b71fdc52d51564dc4 SHA512 c1b848cf1d336efdc2971e16060baf721e9019e6e6827bd755235c9dd37ae47803343e51888d9dd5817b6127bb1ba05a19d4a1be0caab9d2de125bc0cd8175a7
+DIST tepl-4.4.0.tar.xz 466576 BLAKE2B fe9d9c625a3febe6fc71e5972b864b0d732b7f75bcc114a391d7f94b2fc242fe7c5199e61d5a69a8ceccb845fffcf830d6071adb1ecda5e223d453d029ed3398 SHA512 2050c28f9564034bea7c44d3fa27784ab87503c2db6cf35e6389c40ca78722b092fbc52df5fdfc85cc1e39a9dc3c0e30fa7993fb63411b0240f3a6ac9607c282
diff --git a/gui-libs/tepl/tepl-4.4.0.ebuild b/gui-libs/tepl/tepl-4.4.0.ebuild
new file mode 100644
index 00000000000..43b7ec06cd1
--- /dev/null
+++ b/gui-libs/tepl/tepl-4.4.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2 virtualx
+
+DESCRIPTION="GtkSourceView-based text editors and IDE helper library"
+HOMEPAGE="https://wiki.gnome.org/Projects/Gtef"
+
+LICENSE="LGPL-2.1+"
+SLOT="4"
+KEYWORDS="~amd64 ~x86"
+IUSE="+introspection"
+
+RDEPEND="
+ >=dev-libs/glib-2.52:2
+ >=x11-libs/gtk+-3.22:3[introspection?]
+ >=x11-libs/gtksourceview-4.0:4[introspection?]
+ >=gui-libs/amtk-5.0:5[introspection?]
+ >=dev-libs/libxml2-2.5:2
+ app-i18n/uchardet
+ introspection? ( >=dev-libs/gobject-introspection-1.42:= )
+"
+DEPEND="${DEPEND}
+ >=sys-devel/gettext-0.19.6
+ dev-util/glib-utils
+ >=dev-util/gtk-doc-am-1.25
+ virtual/pkgconfig
+"
+
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+ # requires running gvfs-metadata
+ sed -e 's:\(g_test_add_func.*/file/load_save_metadata_sync.*\):/*\1*/:' \
+ -e 's:\(g_test_add_func.*/file/load_save_metadata_async.*\):/*\1*/:' \
+ -e 's:\(g_test_add_func.*/file/set_without_load.*\):/*\1*/:' \
+ -i testsuite/test-file-metadata.c || die
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # valgrind checks not ran by default and require suppression files not in locations where they'd be installed by other packages
+ gnome2_src_configure \
+ --enable-gvfs-metadata \
+ --disable-valgrind \
+ $(use_enable introspection)
+}
+
+src_test() {
+ virtx emake check
+}
next reply other threads:[~2020-08-16 21:02 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-08-16 21:02 Mart Raudsepp [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-04-13 10:37 [gentoo-commits] repo/gentoo:master commit in: gui-libs/tepl/ Mart Raudsepp
2023-09-17 15:58 Matt Turner
2023-08-16 22:32 Matt Turner
2023-08-08 15:04 Matt Turner
2023-07-27 8:29 WANG Xuerui
2023-07-08 3:23 Matt Turner
2023-02-20 17:32 Matt Turner
2023-01-05 16:30 Matt Turner
2022-11-04 18:00 Matt Turner
2022-10-30 23:21 Matt Turner
2022-07-18 23:41 Sam James
2022-05-27 20:54 Pacho Ramos
2022-05-03 13:48 Matt Turner
2021-10-26 1:21 Yixun Lan
2021-10-17 11:36 Mart Raudsepp
2021-05-07 8:26 David Seifert
2021-05-07 8:26 David Seifert
2021-04-12 21:59 Matt Turner
2021-01-05 18:30 Matt Turner
2020-12-11 3:24 Matt Turner
2020-09-07 7:31 Sergei Trofimovich
2020-08-25 23:02 Sam James
2020-08-19 17:14 Sam James
2020-08-19 9:06 Sam James
2020-08-18 10:17 Mart Raudsepp
2020-08-18 5:31 Sam James
2020-08-17 21:42 Sergei Trofimovich
2020-01-28 9:39 Mart Raudsepp
2020-01-27 9:45 Mikle Kolyada
2020-01-26 22:39 Thomas Deutschmann
2020-01-26 18:02 Mart Raudsepp
2019-12-15 16:48 Pacho Ramos
2019-04-04 11:03 Mart Raudsepp
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1597611683.97c9527f83bb04ef0b785c26687e13b0630e8af6.leio@gentoo \
--to=leio@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox